package com.ssj.service.weixin.library.dto;

import com.alibaba.fastjson.annotation.JSONField;

import java.io.Serializable;
import java.util.Date;

/**
 * 机构自批改老师我的信息
 */
public class OrgStudentDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private String studentName; //学生姓名
    private String imgUrl; //头像
    private String leagueName; //校区名称

    /**
     * 学生id
     */
    @JSONField(serialize = false)
    private String vipId;

    /**
     * 服务截止时间
     */
    @JSONField(serialize = false)
    private Date endTime;

    /**
     * 服务截止时间(yyyy-MM-dd)
     */
    private String serviceTime;

    /**
     * 批改方式类型，1平台，2机构，3家长
     */
    @JSONField(serialize = false)
    private Integer correctType;

    /**
     * 卡类型
     */
    @JSONField(serialize = false)
    private String type;

    @JSONField(serialize = false)
    private Integer serviceSort;

    @JSONField(serialize = false)
    private Date createTime;

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public String getLeagueName() {
        return leagueName;
    }

    public void setLeagueName(String leagueName) {
        this.leagueName = leagueName;
    }

    public String getVipId() {
        return vipId;
    }

    public void setVipId(String vipId) {
        this.vipId = vipId;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getServiceTime() {
        return serviceTime;
    }

    public void setServiceTime(String serviceTime) {
        this.serviceTime = serviceTime;
    }

    public Integer getCorrectType() {
        return correctType;
    }

    public void setCorrectType(Integer correctType) {
        this.correctType = correctType;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Integer getServiceSort() {
        return serviceSort;
    }

    public void setServiceSort(Integer serviceSort) {
        this.serviceSort = serviceSort;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}